### Method

# EDataCal CalCache get_components_by_uid_as_string

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_get_components_by_uid_as_string (
      ECalCache* cal_cache,
      const gchar* uid,
      GSList** out_icalstrings,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets the master object and all detached instances as string for a component identified by the `uid`. Free the returned `GSList` with g_slist_free_full (icalstrings, g_free); when no longer needed.

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  A UID of the component.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_icalstrings`

  Type: A list of `utf8`

  Return location for the iCal strings.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.